namespace Kit.Helpers;
using System;

public class AuthenticationException : Exception
{
    private const string _messageDefault = "Необходимо выполнить вход в систему";
    public string? RedirectUrl { get; set; }

    public AuthenticationException() : base(_messageDefault) { }
    public AuthenticationException(string? message) : base(message ?? _messageDefault) { }
    public AuthenticationException(string? message, Exception? exception) : base(message ?? _messageDefault, exception) { }
}